=== debian/changelog ===
rdkit (201306-2) unstable; urgency=low

  [ Daniel Leidert ]
  * debian/control (Build-Depends): Added python-imaging for pythonTestDirChem.
  * debian/rules (override_dh_auto_test): Fixed LD_LIBRARY_PATH to reenable
    tests. Added path to rdchem.so to PYTHONPATH to fix pythonTestDirChem.

 -- Debichem Team <debichem-devel@lists.alioth.debian.org>  Thu, 01 Aug 2013 00:31:14 +0200

rdkit (201306-1) unstable; urgency=low

  * New upstream release.

  [ Daniel Leidert ]
  * debian/control (Vcs-Browser, Vcs-Svn): Fixed vcs-field-not-canonical.
  * debian/patches/fix_ftbfs_mtsss.patch: Dropped. Fix applied to upstream.
  * debian/patches/series: Removed.

 -- Debichem Team <debichem-devel@lists.alioth.debian.org>  Tue, 30 Jul 2013 01:58:06 +0200
