=== External/CMakeLists.txt ===
add_subdirectory(cmim-1.0)
add_subdirectory(INCHI-API)
add_subdirectory(AvalonTools)
