=== debian/changelog ===
rdkit (201309-1) unstable; urgency=low

  * New upstream release.

  [ Daniel Leidert ]
  * debian/control (Standards-Version): Bumped to 3.9.5.
  * debian/patches/733359_bison3_compatibility.patch: Added.
    - Fix syntax for bison 3.x to fix FTBFS (closes: #733359).
  * debian/patches/series: Added.

 -- Debichem Team <debichem-devel@lists.alioth.debian.org>  Sun, 29 Dec 2013 01:53:13 +0100
