=== debian/watch ===
# See uscan(1) for format

version=3
opts=\
uversionmangle=s#_##g,\
downloadurlmangle=s|.*[?]name=(.*?)&.*|http://rdkit.googlecode.com/files/$1|,\
filenamemangle=s|[^/]+[?]name=(.*?)&.*|$1| \
http://code.google.com/p/rdkit/downloads/detail[?]name=RDKit_([\d_]+)_(?:\d+)\.tgz.*
